# VecPackRestoreAccess

Allows one to access the individual packed vectors in their global representation.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode VecPackRestoreAccess(VecPack packer,Vec gvec,...)

Collective on VecPack

### Input Parameter

| packer | - the packer object
| gvec | - the global vector
| ... | - the individual sequential or parallel objects (arrays or vectors)

### See Also

VecPackDestroy(), VecPackAddArray(), VecPackAddDA(), VecPackCreateGlobalVector(),
VecPackGather(), VecPackCreate(), VecPackGetGlobalIndices(), VecPackScatter(), VecPackRestoreAccess()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html